gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::RecentManagerError Class Reference

Exception class for Gtk::RecentManager errors. More...

`#include <gtkmm/recentmanager.h>`

Inheritance diagram for Gtk::RecentManagerError:
[legend]

## Public Types
enum | Code { NOT_FOUND, INVALID_URI, INVALID_ENCODING, NOT_REGISTERED, READ, WRITE, UNKNOWN }

## Public Member Functions
| RecentManagerError (Code error_code, const Glib::ustring& error_message)
| RecentManagerError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Exception
virtual Glib::ustring | what () const =0

## Detailed Description

Exception class for Gtk::RecentManager errors.

## Member Enumeration Documentation

enum Gtk::RecentManagerError::Code

Enumerator
NOT_FOUND |
INVALID_URI |
INVALID_ENCODING |
NOT_REGISTERED |
READ |
WRITE |
UNKNOWN |

## Constructor & Destructor Documentation

Gtk::RecentManagerError::RecentManagerError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::RecentManagerError::RecentManagerError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::RecentManagerError::code | ( |  | ) | const